/** \file src/private.hh */
/*
 * This file is part of assoGiate,
 * an editor of the file types database for GNOME.
 *
 * Copyright (C) 2007 Kevin Daughtridge <kevin@kdau.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef ASSOGIATE__PRIVATE_HH
#define ASSOGIATE__PRIVATE_HH

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <libassogiate/misc/macros.hh>
#include <libassogiate/misc/ucompose.hh>
#include <libassogiate/misc/extras.hh>
#include <sigc++/sigc++.h>
#include <glibmm/i18n.h>
#include <gdk/gdkevents.h>

template<class T>
void
delete_func(T* obj)
{	delete obj; }

template<class T>
sigc::slot<bool, GdkEventAny*>
get_delete_event_functor(T* obj)
{
	return sigc::bind_return(sigc::hide(sigc::bind(
		sigc::ptr_fun(&delete_func<T>), obj)), false);
}

#endif /* ASSOGIATE__PRIVATE_HH */
